/* =============================================================================
 *
 * OS_Resources.h
 *
 * This file contains defines for the CapSense queue and SW2 event.
 *
 * v1.0	YFS	Initial release.
 *
 * =============================================================================
*/

/*
* Copyright (2014), Cypress Semiconductor Corporation. All Rights Reserved.
*
* This software is owned by Cypress Semiconductor Corporation (Cypress)
* and is protected by and subject to worldwide patent protection (United
* States and foreign), United States copyright laws and international treaty
* provisions. Cypress hereby grants to licensee a personal, non-exclusive,
* non-transferable license to copy, use, modify, create derivative works of,
* and compile the Cypress Source Code and derivative works for the sole
* purpose of creating custom software in support of licensee product to be
* used only in conjunction with a Cypress integrated circuit as specified in
* the applicable agreement. Any reproduction, modification, translation,
* compilation, or representation of this software except as specified above 
* is prohibited without the express written permission of Cypress.
*
* Disclaimer: CYPRESS MAKES NO WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, WITH 
* REGARD TO THIS MATERIAL, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED 
* WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
* Cypress reserves the right to make changes without further notice to the 
* materials described herein. Cypress does not assume any liability arising out 
* of the application or use of any product or circuit described herein. Cypress 
* does not authorize its products for use as critical components in life-support 
* systems where a malfunction or failure may reasonably be expected to result in 
* significant injury to the user. The inclusion of Cypress' product in a life-
* support systems application implies that the manufacturer assumes all risk of 
* such use and in doing so indemnifies Cypress against all charges. 
*
* Use of this Software may be limited by and subject to the applicable Cypress
* software license agreement. 
*/

/*
Definitions for the CapSense queue and button events.
*/

/* Up to 5 messages can be posted. Each message is 2 bytes. */
#define CAPSENSE_QUEUE_SIZE                 (5)
#define CAPSENSE_ITEM_SIZE                  ( sizeof( uint16 ) )

/* Force "receive" APIs to return immediately (no timeout) */
#define DO_NOT_WAIT                         (0)

/* Definition of the bits for the task event */
#define SW2_EVENT                           (1<<0)

/*
Delay times for each of the tasks.

vTaskDelay API argument is in milliseconds.
*/
#define ONE_MILLISECOND                     (1)
#define TASK_UPDATE_RATE                    ( 10 * ONE_MILLISECOND )


/* Forward definition of the CapSense queue and button events */
extern QueueHandle_t CapSense_Q;
extern EventGroupHandle_t Button_Events;
