/* =============================================================================
 *
 * Task_Defs.h
 *
 * This file contains default options for creating tasks.
 * It externally defines TCBs and stacks for all tasks.
 * 
 * v1.0	YFS	Initial release.
 *
 * =============================================================================
*/

/*
* Copyright (2014), Cypress Semiconductor Corporation. All Rights Reserved.
*
* This software is owned by Cypress Semiconductor Corporation (Cypress)
* and is protected by and subject to worldwide patent protection (United
* States and foreign), United States copyright laws and international treaty
* provisions. Cypress hereby grants to licensee a personal, non-exclusive,
* non-transferable license to copy, use, modify, create derivative works of,
* and compile the Cypress Source Code and derivative works for the sole
* purpose of creating custom software in support of licensee product to be
* used only in conjunction with a Cypress integrated circuit as specified in
* the applicable agreement. Any reproduction, modification, translation,
* compilation, or representation of this software except as specified above 
* is prohibited without the express written permission of Cypress.
*
* Disclaimer: CYPRESS MAKES NO WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, WITH 
* REGARD TO THIS MATERIAL, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED 
* WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
* Cypress reserves the right to make changes without further notice to the 
* materials described herein. Cypress does not assume any liability arising out 
* of the application or use of any product or circuit described herein. Cypress 
* does not authorize its products for use as critical components in life-support 
* systems where a malfunction or failure may reasonably be expected to result in 
* significant injury to the user. The inclusion of Cypress' product in a life-
* support systems application implies that the manufacturer assumes all risk of 
* such use and in doing so indemnifies Cypress against all charges. 
*
* Use of this Software may be limited by and subject to the applicable Cypress
* software license agreement. 
*/

/*
Default options for demo tasks
 - Stack size (note that width is 32-bits so bytes used is 4x this number)
 - Low/Medium/High priorities (high number is high priority)
*/
#define DEFAULT_TASK_STACK_SIZE             ( 2 * configMINIMAL_STACK_SIZE )
#define LOW_TASK_PRIORITY                   (1)
#define MEDIUM_TASK_PRIORITY                (2)
#define HIGH_TASK_PRIORITY                  (3)

/*
xTaskCreate arguments for all tasks
- name (string)
- priority 
- stack size
*/
#define CAPSENSE_TASK_NAME                  "CapSense"
#define CAPSENSE_TASK_PRIORITY              MEDIUM_TASK_PRIORITY
#define CAPSENSE_TASK_STACK_SIZE            DEFAULT_TASK_STACK_SIZE

#define LED_TASK_NAME                       "LED"
#define LED_TASK_PRIORITY                   LOW_TASK_PRIORITY
#define LED_TASK_STACK_SIZE                 DEFAULT_TASK_STACK_SIZE

/*
Useful definitions for task creation
*/
#define NO_TASK_ARG                         (0)
#define TASK_HANDLE_UNUSED                  (0)


/*
Forward definitions of all task start functions and ISRs.
*/
void CapSense_Task( void * );
void LED_Task( void * );
CY_ISR_PROTO( SW2_ISR );
