/*
** File:    pioneer.h
**
** Author:  YFS (Mark Saunders)
**
** Version: 1.0
**
** Useful macros for the Pioneer BSP.
**
*/

#ifndef PIONEERTESTS_INCLUDED
#define PIONEERTESTS_INCLUDED

       
/*
** CapSense defines
**  
** Returned by CapSense API to indicate no finger present on the the slider.
*/    
#define NO_FINGER               (0xFFFF)

    
/*
** UART defines
**
** Used with UART APIs to format display in terminal.
*/  
#define CLEAR_SCREEN            ("\033[2J")
#define CLEAR_EOL               ("\033[K")

#define CURSOR_HOME             ("\033[;H")
#define CURSOR_LINE_HOME        ("\033[1G")

#define CURSOR_SHOW             ("\033[?25h")
#define CURSOR_HIDE             ("\033[?25l")

#define CURSOR_UP               ("\033[1A")
#define CURSOR_DOWN             ("\033[1B")
#define CURSOR_RIGHT            ("\033[1C")
#define CURSOR_LEFT             ("\033[1D")

#define CURSOR_SAVE             ("\033[s")
#define CURSOR_RESTORE          ("\033[u")   

/*
** Timer defines
**
** Defines for the control register that controls the start/reload/capture inputs.
*/
#define SW_RELOAD_BIT       (1 << 0)
#define SW_START_BIT        (1 << 1)
#define SW_CAPTURE_BIT      (1 << 2)
#define HW_RELOAD_SELECT    (1 << 3)
#define HW_START_SELECT     (1 << 4)
#define HW_CAPTURE_SELECT   (1 << 5)
    
/*
** ADC defines
**
** Names for the 3 ADC channels.   
*/ 
#define ADC_SINGLE_ENDED_CHANNEL    (0)
#define ADC_OPAMP_CHANNEL           (1)
#define ADC_DIFFERENTIAL_CHANNEL    (2)

#endif
