/* =============================================================================
 *
 * Task_Defs.h
 *
 * This file contains default options for tasks.
 * It forward-defines task fuunctions for all tasks.
 * 
 * v1.0	YFS	Initial release.
 *
 * =============================================================================
*/

/*
* Copyright (2014), Cypress Semiconductor Corporation. All Rights Reserved.
*
* This software is owned by Cypress Semiconductor Corporation (Cypress)
* and is protected by and subject to worldwide patent protection (United
* States and foreign), United States copyright laws and international treaty
* provisions. Cypress hereby grants to licensee a personal, non-exclusive,
* non-transferable license to copy, use, modify, create derivative works of,
* and compile the Cypress Source Code and derivative works for the sole
* purpose of creating custom software in support of licensee product to be
* used only in conjunction with a Cypress integrated circuit as specified in
* the applicable agreement. Any reproduction, modification, translation,
* compilation, or representation of this software except as specified above 
* is prohibited without the express written permission of Cypress.
*
* Disclaimer: CYPRESS MAKES NO WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, WITH 
* REGARD TO THIS MATERIAL, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED 
* WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
* Cypress reserves the right to make changes without further notice to the 
* materials described herein. Cypress does not assume any liability arising out 
* of the application or use of any product or circuit described herein. Cypress 
* does not authorize its products for use as critical components in life-support 
* systems where a malfunction or failure may reasonably be expected to result in 
* significant injury to the user. The inclusion of Cypress' product in a life-
* support systems application implies that the manufacturer assumes all risk of 
* such use and in doing so indemnifies Cypress against all charges. 
*
* Use of this Software may be limited by and subject to the applicable Cypress
* software license agreement. 
*/

/*
Default options for tasks
 - No arguments are passed when the task is created
 - The task handle (created in xTaskCreate) is not required
*/
#define NO_TASK_ARG						((void *)0)
#define TASK_HANDLE_UNUSED				((void *)0)

/*
xTaskCreate arguments for all tasks
- name
- priority
- stack size
*/

/* Main task with middle priority and minimal stack */
#define MAIN_TASK				( "Main" )
#define MAIN_TASK_PRIORITY		( configMAX_PRIORITIES / 2 )
#define MAIN_TASK_STACK_SIZE	( configMINIMAL_STACK_SIZE )

/*
Forward definitions of all task start functions.
*/
void Main_Task( void * );
